NX Open C++ Reference Guide
|
This builder allows the user to create a Drawing View <br> To create a new instance of this class, use @link Drawings::DraftingViewCollection::CreateViewCreationWizardBuilder Drawings::DraftingViewCollection::CreateViewCreationWizardBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Option { OptionAutomatic, OptionManual } |
The placement option type. More... | |
enum | ResolutionOption { ResolutionOptionCoarse, ResolutionOptionMedium, ResolutionOptionFine } |
the view resolution option type More... | |
enum | ViewBoundaryOption { ViewBoundaryOptionAutomatic, ViewBoundaryOptionManual } |
The view boundary option type. More... | |
enum | ViewRepresentations { ViewRepresentationsExact, ViewRepresentationsSmartLightweight, ViewRepresentationsLightweight, ViewRepresentationsPreNx85Exact } |
the view representation mode More... | |
Public Member Functions | |
bool | AssociativeAlignment () |
Returns the associative alignment toggle Created in NX8.5.0. | |
bool | AutoScale () |
Returns the auto scale Created in NX8.0.0. | |
bool | BackView () |
Returns the back view Created in NX8.0.0. | |
NXString | BaseView () |
Returns the base view Created in NX8.0.0. | |
bool | BottomView () |
Returns the bottom view Created in NX8.0.0. | |
bool | CenterLines () |
Returns the center lines Created in NX8.0.0. | |
bool | CrosshatchInheritedSectionViews () |
Returns the crosshatch inherited section views Created in NX8.0.0. | |
NXOpen::Drawings::CustomViewSettingsBuilder * | CustomViewSettingsBuilder () |
Returns the Drawings::CustomViewSettingsBuilder object Created in NX8.5.0. | |
bool | ExtractedEdges () |
Returns the extracted edges option Created in NX8.5.0. | |
bool | FrontView () |
Returns the front view Created in NX8.0.0. | |
int | HiddenLineColor () |
Returns the hidden line color Created in NX8.0.0. | |
int | HiddenLineFont () |
Returns the hidden line font Created in NX8.0.0. | |
bool | HiddenLines () |
Returns the hidden lines Created in NX8.0.0. | |
int | HiddenLineWidth () |
Returns the hidden line width Created in NX8.0.0. | |
bool | IgnoreTitleBlock () |
Returns the ignore title block Created in NX8.5.0. | |
int | InheritPMI () |
Returns the inherit pmi Created in NX8.0.0. | |
bool | InheritPmiOntoDrawing () |
Returns the inherit pmi onto drawing Created in NX8.0.0. | |
bool | IsometricView () |
Returns the isometric view Created in NX8.0.0. | |
bool | LeftView () |
Returns the left view Created in NX8.0.0. | |
double | MarginBetweenViews () |
Returns the margin between views Created in NX8.0.0. | |
double | MarginToBorder () |
Returns the margin to border Created in NX8.0.0. | |
NXOpen::Drawings::MultipleViewPlacementBuilder * | MultipleViewPlacement () |
Returns the multiple view placement Created in NX8.0.0. | |
bool | OptimizeSettings () |
Returns the optimize view settings Created in NX8.5.0. | |
NXOpen::Drawings::OvtBuilder * | OrientViewTool () |
Returns the orient view tool Created in NX8.0.0. | |
NXOpen::Part * | Part () |
Returns the part Created in NX8.0.0. | |
NXOpen::Drawings::ViewCreationWizardBuilder::Option | PlacementOption () |
Returns the placement option Created in NX8.0.0. | |
bool | PmiDimensionFromRevolved () |
Returns the inherit pmi from revolved sketches Created in NX9.0.0. | |
int | PmiTypes () |
Returns the pmi types Created in NX8.0.0. | |
NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption | Resolution () |
Returns the display quality option Created in NX8.5.0. | |
bool | RightView () |
Returns the right view Created in NX8.0.0. | |
void | SetAssociativeAlignment (bool associative) |
Sets the associative alignment toggle Created in NX8.5.0. | |
void | SetAutoScale (bool autoScale) |
Sets the auto scale Created in NX8.0.0. | |
void | SetBackView (bool backView) |
Sets the back view Created in NX8.0.0. | |
void | SetBaseView (const NXString &baseView) |
Sets the base view Created in NX8.0.0. | |
void | SetBaseView (const char *baseView) |
Sets the base view Created in NX8.0.0. | |
void | SetBottomView (bool bottomView) |
Sets the bottom view Created in NX8.0.0. | |
void | SetCenterLines (bool centerLines) |
Sets the center lines Created in NX8.0.0. | |
void | SetCrosshatchInheritedSectionViews (bool crosshatchInheritedSectionViews) |
Sets the crosshatch inherited section views Created in NX8.0.0. | |
void | SetExtractedEdges (bool extractedEdges) |
Sets the extracted edges option Created in NX8.5.0. | |
void | SetFrontView (bool frontView) |
Sets the front view Created in NX8.0.0. | |
void | SetHiddenLineColor (int hiddenLineColor) |
Sets the hidden line color Created in NX8.0.0. | |
void | SetHiddenLineFont (int hiddenLineFont) |
Sets the hidden line font Created in NX8.0.0. | |
void | SetHiddenLines (bool hiddenLines) |
Sets the hidden lines Created in NX8.0.0. | |
void | SetHiddenLineWidth (int hiddenLineWidth) |
Sets the hidden line width Created in NX8.0.0. | |
void | SetIgnoreTitleBlock (bool ignoreTitleBlock) |
Sets the ignore title block Created in NX8.5.0. | |
void | SetInheritPMI (int inheritPMI) |
Sets the inherit pmi Created in NX8.0.0. | |
void | SetInheritPmiOntoDrawing (bool inheritPmiOntoDrawing) |
Sets the inherit pmi onto drawing Created in NX8.0.0. | |
void | SetIsometricView (bool isometricView) |
Sets the isometric view Created in NX8.0.0. | |
void | SetLeftView (bool leftView) |
Sets the left view Created in NX8.0.0. | |
void | SetMarginBetweenViews (double marginBetweenViews) |
Sets the margin between views Created in NX8.0.0. | |
void | SetMarginToBorder (double marginToBorder) |
Sets the margin to border Created in NX8.0.0. | |
void | SetOptimizeSettings (bool optimizeSettings) |
Sets the optimize view settings Created in NX8.5.0. | |
void | SetPart (NXOpen::Part *part) |
Sets the part Created in NX8.0.0. | |
void | SetPlacementOption (NXOpen::Drawings::ViewCreationWizardBuilder::Option placementOption) |
Sets the placement option Created in NX8.0.0. | |
void | SetPmiDimensionFromRevolved (bool pmiDimensionFromRevolved) |
Sets the inherit pmi from revolved sketches Created in NX9.0.0. | |
void | SetPmiTypes (int pmiTypes) |
Sets the pmi types Created in NX8.0.0. | |
void | SetResolution (NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption resolution) |
Sets the display quality option Created in NX8.5.0. | |
void | SetRightView (bool rightView) |
Sets the right view Created in NX8.0.0. | |
void | SetSilhouettes (bool silhouettes) |
Sets the silhouettes Created in NX8.0.0. | |
void | SetSnapShot (bool snapShot) |
Sets the snapshot option Created in NX8.5.0. | |
void | SetSpecialBaseView (bool specialBaseView) |
Sets the special base view Created in NX8.0.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance option Created in NX8.5.0. | |
void | SetTopView (bool topView) |
Sets the top view Created in NX8.0.0. | |
void | SetTrimetricView (bool trimetricView) |
Sets the trimetric view Created in NX8.0.0. | |
void | SetViewBoundary (NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption viewBoundaryOption) |
Sets the view boundary option Created in NX8.0.0. | |
void | SetViewLabels (bool dispViewLabels) |
Sets the view labels Created in NX8.0.0. | |
void | SetViewRepresentation (NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations viewRepresentation) |
Sets the view representation state Created in NX8.5.0. | |
bool | Silhouettes () |
Returns the silhouettes Created in NX8.0.0. | |
bool | SnapShot () |
Returns the snapshot option Created in NX8.5.0. | |
bool | SpecialBaseView () |
Returns the special base view Created in NX8.0.0. | |
double | Tolerance () |
Returns the tolerance option Created in NX8.5.0. | |
bool | TopView () |
Returns the top view Created in NX8.0.0. | |
bool | TrimetricView () |
Returns the trimetric view Created in NX8.0.0. | |
NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption | ViewBoundary () |
Returns the view boundary option Created in NX8.0.0. | |
bool | ViewLabels () |
Returns the view labels Created in NX8.0.0. | |
NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations | ViewRepresentation () |
Returns the view representation state Created in NX8.5.0. | |
NXOpen::Drawings::ViewScaleBuilder * | ViewScale () |
Returns the view scale Created in NX8.0.0. | |
NXOpen::Drawings::ViewStyleBuilder * | ViewStyle () |
Returns the view style Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This builder allows the user to create a Drawing View <br> To create a new instance of this class, use @link Drawings::DraftingViewCollection::CreateViewCreationWizardBuilder Drawings::DraftingViewCollection::CreateViewCreationWizardBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AutoScale |
1 |
BackView |
0 |
FRONT | |
BottomView |
0 |
0 | |
1 | |
Invisible | |
None | |
0 | |
0 | |
0 | |
0 | |
1 | |
1 | |
1 | |
0 | |
1 | |
0 | |
0 | |
0 | |
0 | |
Hide | |
None | |
0 | |
ExtractedEdges |
1 |
FrontView |
1 |
IgnoreTitleBlock |
0 |
IsometricView |
0 |
LeftView |
0 |
MarginBetweenViews |
5 (millimeters part), 0.25 (inches part) |
MarginToBorder |
20 (millimeters part), 0.75 (inches part) |
MultipleViewPlacement.OptionType |
Center |
MultipleViewPlacement.ViewPlacementCenter.AlignmentMethod |
Infer |
MultipleViewPlacement.ViewPlacementCenter.AlignmentOption |
ToView |
OptimizeSettings |
1 |
OrientViewTool.AssociativeOrientation |
0 |
PlacementOption |
Automatic |
RightView |
0 |
SnapShot |
0 |
TopView |
0 |
TrimetricView |
0 |
ViewBoundary |
Automatic |
ViewRepresentation |
SmartLightweight |
ViewScale.Denominator |
1.0 |
ViewScale.Numerator |
1.0 |
ViewScale.ScaleType |
Ratio |
ViewStyle.ViewStyleGeneral.AngleValue |
0.0 |
ViewStyle.ViewStyleOrientation.HingeLine.ReverseDirection |
false |
ViewStyle.ViewStyleOrientation.HingeLine.VectorOption |
Inferred |
Created in NX8.0.0.
the view representation mode
bool NXOpen::Drawings::ViewCreationWizardBuilder::AssociativeAlignment | ( | ) |
Returns the associative alignment toggle
Created in NX8.5.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::AutoScale | ( | ) |
Returns the auto scale
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::BackView | ( | ) |
Returns the back view
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Drawings::ViewCreationWizardBuilder::BaseView | ( | ) |
Returns the base view
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::BottomView | ( | ) |
Returns the bottom view
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::CenterLines | ( | ) |
Returns the center lines
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::CrosshatchInheritedSectionViews | ( | ) |
Returns the crosshatch inherited section views
Created in NX8.0.0.
License requirements : None
NXOpen::Drawings::CustomViewSettingsBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::CustomViewSettingsBuilder | ( | ) |
Returns the Drawings::CustomViewSettingsBuilder object
Created in NX8.5.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::ExtractedEdges | ( | ) |
Returns the extracted edges option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::FrontView | ( | ) |
Returns the front view
Created in NX8.0.0.
License requirements : None
int NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLineColor | ( | ) |
Returns the hidden line color
Created in NX8.0.0.
License requirements : None
int NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLineFont | ( | ) |
Returns the hidden line font
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLines | ( | ) |
Returns the hidden lines
Created in NX8.0.0.
License requirements : None
int NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLineWidth | ( | ) |
Returns the hidden line width
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::IgnoreTitleBlock | ( | ) |
Returns the ignore title block
Created in NX8.5.0.
License requirements : None
int NXOpen::Drawings::ViewCreationWizardBuilder::InheritPMI | ( | ) |
Returns the inherit pmi
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::InheritPmiOntoDrawing | ( | ) |
Returns the inherit pmi onto drawing
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::IsometricView | ( | ) |
Returns the isometric view
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::LeftView | ( | ) |
Returns the left view
Created in NX8.0.0.
License requirements : None
double NXOpen::Drawings::ViewCreationWizardBuilder::MarginBetweenViews | ( | ) |
Returns the margin between views
Created in NX8.0.0.
License requirements : None
double NXOpen::Drawings::ViewCreationWizardBuilder::MarginToBorder | ( | ) |
Returns the margin to border
Created in NX8.0.0.
License requirements : None
NXOpen::Drawings::MultipleViewPlacementBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::MultipleViewPlacement | ( | ) |
Returns the multiple view placement
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::OptimizeSettings | ( | ) |
Returns the optimize view settings
Created in NX8.5.0.
License requirements : None
NXOpen::Drawings::OvtBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::OrientViewTool | ( | ) |
Returns the orient view tool
Created in NX8.0.0.
License requirements : None
NXOpen::Part* NXOpen::Drawings::ViewCreationWizardBuilder::Part | ( | ) |
Returns the part
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
NXOpen::Drawings::ViewCreationWizardBuilder::Option NXOpen::Drawings::ViewCreationWizardBuilder::PlacementOption | ( | ) |
Returns the placement option
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::PmiDimensionFromRevolved | ( | ) |
Returns the inherit pmi from revolved sketches
Created in NX9.0.0.
License requirements : None
int NXOpen::Drawings::ViewCreationWizardBuilder::PmiTypes | ( | ) |
Returns the pmi types
Created in NX8.0.0.
License requirements : None
NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption NXOpen::Drawings::ViewCreationWizardBuilder::Resolution | ( | ) |
Returns the display quality option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::RightView | ( | ) |
Returns the right view
Created in NX8.0.0.
License requirements : None
void NXOpen::Drawings::ViewCreationWizardBuilder::SetAssociativeAlignment | ( | bool | associative | ) |
Sets the associative alignment toggle
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
associative | associative |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetAutoScale | ( | bool | autoScale | ) |
Sets the auto scale
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
autoScale | autoscale |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBackView | ( | bool | backView | ) |
Sets the back view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
backView | backview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBaseView | ( | const NXString & | baseView | ) |
Sets the base view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
baseView | baseview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBaseView | ( | const char * | baseView | ) |
Sets the base view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
baseView | baseview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBottomView | ( | bool | bottomView | ) |
Sets the bottom view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
bottomView | bottomview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetCenterLines | ( | bool | centerLines | ) |
Sets the center lines
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
centerLines | centerlines |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetCrosshatchInheritedSectionViews | ( | bool | crosshatchInheritedSectionViews | ) |
Sets the crosshatch inherited section views
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
crosshatchInheritedSectionViews | crosshatchinheritedsectionviews |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetExtractedEdges | ( | bool | extractedEdges | ) |
Sets the extracted edges option
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
extractedEdges | extractededges |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetFrontView | ( | bool | frontView | ) |
Sets the front view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
frontView | frontview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLineColor | ( | int | hiddenLineColor | ) |
Sets the hidden line color
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
hiddenLineColor | hiddenlinecolor |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLineFont | ( | int | hiddenLineFont | ) |
Sets the hidden line font
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
hiddenLineFont | hiddenlinefont |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLines | ( | bool | hiddenLines | ) |
Sets the hidden lines
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
hiddenLines | hiddenlines |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLineWidth | ( | int | hiddenLineWidth | ) |
Sets the hidden line width
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
hiddenLineWidth | hiddenlinewidth |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetIgnoreTitleBlock | ( | bool | ignoreTitleBlock | ) |
Sets the ignore title block
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
ignoreTitleBlock | ignoretitleblock |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetInheritPMI | ( | int | inheritPMI | ) |
Sets the inherit pmi
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
inheritPMI | inheritpmi |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetInheritPmiOntoDrawing | ( | bool | inheritPmiOntoDrawing | ) |
Sets the inherit pmi onto drawing
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
inheritPmiOntoDrawing | inheritpmiontodrawing |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetIsometricView | ( | bool | isometricView | ) |
Sets the isometric view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
isometricView | isometricview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetLeftView | ( | bool | leftView | ) |
Sets the left view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
leftView | leftview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetMarginBetweenViews | ( | double | marginBetweenViews | ) |
Sets the margin between views
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
marginBetweenViews | marginbetweenviews |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetMarginToBorder | ( | double | marginToBorder | ) |
Sets the margin to border
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
marginToBorder | margintoborder |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetOptimizeSettings | ( | bool | optimizeSettings | ) |
Sets the optimize view settings
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
optimizeSettings | optimizesettings |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPart | ( | NXOpen::Part * | part | ) |
Sets the part
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
part | part |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPlacementOption | ( | NXOpen::Drawings::ViewCreationWizardBuilder::Option | placementOption | ) |
Sets the placement option
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
placementOption | placementoption |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPmiDimensionFromRevolved | ( | bool | pmiDimensionFromRevolved | ) |
Sets the inherit pmi from revolved sketches
Created in NX9.0.0.
License requirements : drafting ("DRAFTING")
pmiDimensionFromRevolved | pmidimensionfromrevolved |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPmiTypes | ( | int | pmiTypes | ) |
Sets the pmi types
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
pmiTypes | pmitypes |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetResolution | ( | NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption | resolution | ) |
Sets the display quality option
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
resolution | resolution |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetRightView | ( | bool | rightView | ) |
Sets the right view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
rightView | rightview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetSilhouettes | ( | bool | silhouettes | ) |
Sets the silhouettes
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
silhouettes | silhouettes |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetSnapShot | ( | bool | snapShot | ) |
Sets the snapshot option
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
snapShot | snapshot |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetSpecialBaseView | ( | bool | specialBaseView | ) |
Sets the special base view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
specialBaseView | specialbaseview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance option
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
tolerance | tolerance |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetTopView | ( | bool | topView | ) |
Sets the top view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
topView | topview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetTrimetricView | ( | bool | trimetricView | ) |
Sets the trimetric view
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
trimetricView | trimetricview |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetViewBoundary | ( | NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption | viewBoundaryOption | ) |
Sets the view boundary option
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
viewBoundaryOption | viewboundaryoption |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetViewLabels | ( | bool | dispViewLabels | ) |
Sets the view labels
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
dispViewLabels | dispviewlabels |
void NXOpen::Drawings::ViewCreationWizardBuilder::SetViewRepresentation | ( | NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations | viewRepresentation | ) |
Sets the view representation state
Created in NX8.5.0.
License requirements : drafting ("DRAFTING")
viewRepresentation | viewrepresentation |
bool NXOpen::Drawings::ViewCreationWizardBuilder::Silhouettes | ( | ) |
Returns the silhouettes
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::SnapShot | ( | ) |
Returns the snapshot option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::SpecialBaseView | ( | ) |
Returns the special base view
Created in NX8.0.0.
License requirements : None
double NXOpen::Drawings::ViewCreationWizardBuilder::Tolerance | ( | ) |
Returns the tolerance option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::TopView | ( | ) |
Returns the top view
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::TrimetricView | ( | ) |
Returns the trimetric view
Created in NX8.0.0.
License requirements : None
NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundary | ( | ) |
Returns the view boundary option
Created in NX8.0.0.
License requirements : None
bool NXOpen::Drawings::ViewCreationWizardBuilder::ViewLabels | ( | ) |
Returns the view labels
Created in NX8.0.0.
License requirements : None
NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentation | ( | ) |
Returns the view representation state
Created in NX8.5.0.
License requirements : None
NXOpen::Drawings::ViewScaleBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::ViewScale | ( | ) |
Returns the view scale
Created in NX8.0.0.
License requirements : None
NXOpen::Drawings::ViewStyleBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::ViewStyle | ( | ) |
Returns the view style
Created in NX8.0.0.
License requirements : None